nemModelSelection {nem} | R Documentation

## Model selection for nested effect models

### Description

Infers models with different regularization constants, compares them via the BIC or AIC criterion and returns the highest scoring one

### Usage

    nemModelSelection(lambdas,D,inference="nem.greedy",models=NULL,control=set.default.parameters(unique(colnames(D))),verbose=TRUE,...)

### Arguments

`lambdas` | vector of regularization constants
`D` | data matrix with experiments in the columns (binary or continious)
`inference` | `search` to use exhaustive enumeration, `triples` for triple-based inference, `pairwise` for the pairwise heuristic, `ModuleNetwork` for the module based inference, `nem.greedy` for greedy hillclimbing, `nem.greedyMAP` for alternating MAP optimization using log odds or log p-value densities
`models` | a list of adjacency matrices for model search. If NULL, an exhaustive enumeration of all possible models is performed.
`control` | list of parameters: see `set.default.parameters`
`verbose` | do you want to see progression statements? Default: TRUE
`...` | other arguments to pass to function `nem` or `network.AIC`

### Details

`nemModelSelection` internally calls `nem` to infer a model with a given regularization constant. The comparison between models is based on the BIC or AIC criterion, depending on the parameters passed to `network.AIC`.

### Value

nem object

### Author(s)

Holger Froehlich

### See Also

`set.default.parameters`, `nem`, `network.AIC`

### Examples

       data("BoutrosRNAi2002")
       D <- BoutrosRNAiDiscrete[,9:16]
       hyper = set.default.parameters(unique(colnames(D)), para=c(0.13, 0.05), Pm=diag(4))
       res <- nemModelSelection(c(0.1,1,10), D, control=hyper)

       plot.nem(res,main="highest scoring model")

[Package nem version 2.8.0 Index]